=== debian/changelog ===
patchage (0.4.4-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * debian/patches/hppa_parallel.patch:
    - Disable parallel build on hppa (Closes: #561305).
  * debian/rules:
    - Patch affected files on-the-fly.

 -- Luca Falavigna <dktrkranz@debian.org>  Sat, 15 May 2010 11:34:44 +0000

patchage (0.4.4-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Use convenience copy of waf, system wide waf package is being removed
    from Debian (Closes: #571711).
  * Build-depend on python, convenience copy of waf needs it.

 -- Luca Falavigna <dktrkranz@debian.org>  Sun, 11 Apr 2010 16:41:01 +0200

patchage (0.4.4-1) unstable; urgency=low

  * New upstream release (closes: #560524)
  * debian/source/format: 3.0 quilt for .bz2 upstream
  * debian/watch: switch to bz2
  * debian/rules: use debhelper ninja foo, switch to waf
  * debian/control: add build-depends on waf, remove autotools-dev
  * debian/patchage.manpages: add list of manpages
  * debian/rules: add patchage.svg missing from waf install

 -- Paul Brossier <piem@debian.org>  Sat, 12 Dec 2009 16:28:59 +0100

patchage (0.4.2-1) unstable; urgency=low

  * New upstream release (closes: #468933)
  * debian/control:
    - add build-depends on liblash-dev (closes: #452236)
    - add build-depends on libboost-dev, libflowcanvas-dev and libraul-dev
    - add Homepage and Vcs-* fields, remove Homepage from description
  * debian/watch, debian/copyright: updated to new download location
  * debian/compat: bump to 7
  * debian/rules: do not ignore clean error
  * debian/menu: change from Apps to Applications
  * debian/docs: NEWS removed upstream debian/docs
  * debian/patchage.xpm: updated text icon from upstream version
  * debian/patchage.desktop: remove, use upstream version

 -- Paul Brossier <piem@debian.org>  Fri, 20 Nov 2009 09:28:38 +0100

patchage (0.2.3-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build-Depend on libgtkmm-2.4-dev instead of libgtkmm2.0-dev.
    Closes: #431214

 -- Andreas Barth <aba@not.so.argh.org>  Fri, 20 Jul 2007 21:19:32 +0000

patchage (0.2.3-2) unstable; urgency=low

  * Rebuild against new libgkt+_+asdok
  * Update url in debian/{watch,copyright}

 -- Paul Brossier <piem@debian.org>  Sun, 11 Dec 2005 16:04:11 +0000

patchage (0.2.3-1) unstable; urgency=low

  * New upstream release

 -- Paul Brossier <piem@debian.org>  Fri, 30 Sep 2005 02:32:10 +0100

patchage (0.2.0-1) unstable; urgency=low

  * Initial release (closes: #318618)

 -- Paul Brossier <piem@debian.org>  Sun, 24 Jul 2005 14:46:39 +0100
