=== debian/control ===
Source: patchage
Section: sound
Priority: optional
Maintainer: Paul Brossier <piem@debian.org>
Build-Depends: debhelper (>= 7.0.0),
               docbook-to-man,
               python,
               libjack-dev,
               liblash-dev,
               libgtkmm-2.4-dev,
               libgnomecanvasmm-2.6-dev,
               libglademm-2.4-dev,
               libasound2-dev,
               libraul-dev,
               libflowcanvas-dev,
               libboost-dev
Standards-Version: 3.8.3
Vcs-Bzr: http://bzr.debian.org/users/piem/patchage/
Vcs-Browser: http://bzr.debian.org/loggerhead/users/piem/patchage/
Homepage: http://drobilla.net/software/patchage/

Package: patchage
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: modular patch bay for Jack audio and Alsa Midi
 Patchage provides a graphical interface to connect jack and midi inputs
 and outputs. Each application is represented as one box with inputs on
 the left and output on the right. Boxes can be moved around and
 arranged to have a clear display of the current setup.
