=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_configure:
	./waf --version && cd .waf*/wafadmin && patch -p1 < $(CURDIR)/debian/patches/hppa_parallel.patch
	./waf configure --prefix /usr

override_dh_auto_build:
	dh build --before dh_auto_build
	./waf build
	docbook-to-man debian/patchage.sgml > patchage.1
	dh build --after dh_auto_build

override_dh_auto_install:
	dh install --before dh_auto_install
	./waf install --destdir $(CURDIR)/debian/patchage
	dh_install debian/patchage.xpm usr/share/pixmaps
	dh_install icons/scalable/patchage.svg usr/share/icons/hicolor/scalable/apps 
	dh install --after dh_auto_install

override_dh_auto_clean:
	dh clean --before dh_auto_clean
	./waf --version && cd .waf*/wafadmin && patch -p1 < $(CURDIR)/debian/patches/hppa_parallel.patch
	./waf configure distclean --prefix /usr
	-$(RM) -f autowaf.pyc
	dh clean --after dh_auto_clean
