## patchage 0.5.0

=== debian/changelog ===
patchage (0.5.0-0.2) unstable; urgency=low

  * Non-maintainer upload.
  * Upload to unstable (Closes: #628672).

 -- Alessio Treglia <alessio@debian.org>  Sat, 11 Jun 2011 09:47:47 +0200

patchage (0.5.0-0.1) experimental; urgency=low

  * Non-maintainer upload.
  * New upstream release (Closes: #603138):
    - Changes in 0.5.0:
      + Auto-arrange interface modules sanely (align corresponding
        inputs/outputs)
      + Add -J (--no-jack) command line option
      + Add proper --help output and man page
      + Improve performance (dramatically for large setups)
      + Fancy console info/warning/error logging
      + Fix minor memory leaks and reduce memory consumption
      + Fix handling of ALSA duplex ports
      + Hide "split" module menu item when it is useless
      + Fix Jack D-Bus support
      + Mac OS X .app bundle port
      + Bump FlowCanvas dependency to 0.7.0
      + Add more/larger icons
      + Add missing COPYING file to distribution
      + Build system and code quality improvements
    - Changes in 0.4.5:
      + Install SVG icon
      + Fix compilation without Jack
      + Improve performance when dragging modules
      + Bump FlowCanvas dependency to 0.6.0
      + Upgrade to waf 1.5.18
  * debian/rules:
    - No need to apply hppa_parallel.patch anymore since hppa arch was
      dropped.
    - Rewrote to use pure DH7 short-form.
    - Pass --debug,--strict to ./waf configure.
  * debian/control:
    - Bump up build-dependencies on debhelper,libraul-dev,libflowcanvas-dev.
    - Drop lash support in favor of ladish.
    - Add jackd on Recommends.
    - Add ladish on Suggests.
    - Bump Standards.
  * debian/copyright:
    - Update copyright information.
    - Add license and copyright holder for waf.
    - Update as per DEP-5 rev.174.
  * debian/patches/0001-desktop_file.patch:
    - Remove Encoding field.
    - Remove Application from Category field.
    - Add trailing colon to the Category field value.
  * Remove unneeded debian/dirs file.
  * Add debian/install file rather than call dh_install to install every
    additional file.
  * Remove debian/patchage.{manpages,sgml}, upstream now provides a manpage.

 -- Alessio Treglia <alessio@debian.org>  Tue, 26 Apr 2011 12:14:00 +0200
