=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_configure:
	./waf configure --prefix=/usr --debug --strict

override_dh_auto_build:
	./waf build

override_dh_auto_install:
	./waf install --destdir=$(CURDIR)/debian/patchage

override_dh_auto_clean:
	./waf distclean
	$(RM) -f autowaf/autowaf.pyc
	dh_auto_clean
