=== debian/changelog ===
patchage (0.5.0+dfsg0-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * Repack upstream tarball to get rid of the 'waf' blob (Closes: #654495):
  * debian/rules: Properly clean sources tree.

 -- Alessio Treglia <alessio@debian.org>  Wed, 11 Jan 2012 00:41:36 +0100
