=== debian/watch ===
version=3
http://drobilla.net/software/patchage/ \
  http://download.drobilla.net/patchage-(.*)\.tar\.bz2
