=== debian/changelog ===
patchage (1.0.0~dfsg0-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop unnecessary Build-Depends on libgnomecanvasmm-2.6-dev and
    libglademm-2.4-dev (Closes: #885091)
  * Drop obsolete menu file and .xpm
  * Bump debhelper compat to 11
  * Bump Standards-Version to 4.1.2

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 23 Dec 2017 13:28:15 -0500

patchage (1.0.0~dfsg0-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * New upstream release (Closes: #747215):
    - Allow removing connections by selecting their handle and
      pressing delete.
    - Remove Raul dependency.
    - Switch from FlowCanvas to Ganv (much improved looks and performance).
    - Remove LASH support and simplify UI.
    - Support for DOT export for rendering with GraphViz.
    - Use XDG_CONFIG_HOME instead of ~/.patchagerc.
    - Make port colours configurable.
    - Support port pretty names via new Jack metadata API.
  * Drop build-dependency on libraul-dev.
  * Drop libflowcanvas-dev in favor of libganv-dev.
  * Drop debian/patches, the remaining delta has been merged upstream.
  * Update debian/watch.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Wed, 18 Jun 2014 13:37:16 +0100
