=== debian/control ===
--- 
+++ 
@@ -2,18 +2,15 @@
 Section: sound
 Priority: optional
 Maintainer: Paul Brossier <piem@debian.org>
-Build-Depends: debhelper (>= 7.0.50~),
+Build-Depends: debhelper (>= 11),
                docbook-to-man,
                python,
                libjack-dev,
                libgtkmm-2.4-dev,
-               libgnomecanvasmm-2.6-dev,
-               libglademm-2.4-dev,
                libasound2-dev,
-               libraul-dev (>= 0.8.0),
-               libflowcanvas-dev (>= 0.7.1),
+               libganv-dev (>= 1.4.0~),
                libboost-dev
-Standards-Version: 3.9.2
+Standards-Version: 4.1.2
 Vcs-Bzr: http://bzr.debian.org/users/piem/patchage/
 Vcs-Browser: http://bzr.debian.org/loggerhead/users/piem/patchage/
 Homepage: http://drobilla.net/software/patchage/
