=== debian/rules ===
--- 
+++ 
@@ -18,5 +18,5 @@
 
 override_dh_auto_clean:
 	./waf distclean
-	$(RM) -f autowaf/autowaf.pyc
+	find -name "*.pyc" -delete
 	dh_auto_clean
