## patchage 1.0.0~dfsg0-0.2+9.0trisquel2

=== debian/changelog ===
patchage (1.0.0~dfsg0-0.2+9.0trisquel2) etiona-backports; urgency=medium

  * Backported from debian old stable

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 12 Jan 2022 12:36:25 +0000
